Summary:        Version 0.6 of this Cross platform C++ game library
Name:           ClanLib06
Version:        0.6.5
Release:        38%{?dist}
Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.clanlib.org/
Source0:        http://www.clanlib.org/download/legacy/ClanLib-%{version}-1.tar.gz
# prebuild docs to avoid multilib conflicts. To regenerate untar and configure,
# cd Documentation, make, make install HTML_PREFIX=`pwd`/html, cd ..,
# tar cvfz ClanLib-%%{version}-generated-docs.tar.gz Documentation/html
Source1:        ClanLib-%{version}-generated-docs.tar.gz
Patch0:         ClanLib-0.6.5-debian.patch
Patch1:         ClanLib-0.6.5-suse.patch
Patch2:         ClanLib-0.6.5-tolua++.patch
Patch3:         ClanLib-0.6.5-smalljpg.patch
Patch4:         ClanLib-0.6.5-gcc4.3.patch
Patch5:         ClanLib-0.6.5-mikmod32.patch
Patch6:         ClanLib-0.6.5-alsa.patch
Patch7:         ClanLib-0.6.5-extra-keys.patch
Patch8:         ClanLib-0.6.5-xev-keycodes.patch
Patch9:         ClanLib-0.6.5-iterator-abuse.patch
Patch10:        ClanLib-0.6.5-gcc4.6.patch
Patch11:        ClanLib-0.6.5-gzopen-flags.patch
Patch12:        ClanLib-0.6.5-libpng15.patch
Patch13:        ClanLib-0.6.5-lua52.patch
Patch14:        ClanLib-0.6.5-gcc6.patch
BuildRequires:  libX11-devel libXext-devel libXt-devel libGLU-devel
BuildRequires:  libICE-devel libXxf86vm-devel xorg-x11-proto-devel
BuildRequires:  libvorbis-devel libpng-devel libjpeg-devel mikmod-devel
BuildRequires:  alsa-lib-devel Hermes-devel freetype-devel autoconf
BuildRequires:  tolua++-devel >= 1.0.93-14
Provides:       clanlib06 = %{version}-%{release}

%description
Version 0.6 of this cross platform C++ game library, which is still used
by many games.


%package devel
Summary:        Development Libraries and Headers for ClanLib 0.6
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libGLU-devel Hermes-devel mikmod-devel libpng-devel
Provides:       clanlib06-devel = %{version}-%{release}

%description devel
ClanLib 0.6 development headers and libraries


%prep
%setup -q -a 1 -n ClanLib-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
# mark asm files as NOT needing execstack
for i in `find Sources -name '*.s'`; do
  echo '.section .note.GNU-stack,"",@progbits' >> $i
done
autoconf


%build
%ifarch %{ix86}
ARCH_CONFIG_FLAGS=--enable-asm386
%endif
cp -a -f /usr/lib/rpm/redhat/config.sub .
%configure --disable-debug --enable-dyn --disable-directfb $ARCH_CONFIG_FLAGS
tolua++ -o Sources/Lua/clanbindings.cpp Sources/Lua/clanbindings.pkg
# no smpflags, it somehow breaks the libs (apps using them crash on exit ?)
make


%install
%make_install
rm $RPM_BUILD_ROOT%{_libdir}/*.a
chmod -x $RPM_BUILD_ROOT%{_mandir}/man1/clanlib-config.1*


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc COPYING CREDITS NEWS ascii-logo
%{_libdir}/*.so.*

%files devel
%doc README README.gui README.upgrade Documentation/html
%{_bindir}/clanlib-config
%{_libdir}/*.so
%{_includedir}/ClanLib
%{_mandir}/man1/clanlib-config.1.gz


%changelog
* Sat Feb 20 2016 Hans de Goede <hdegoede@redhat.com> - 0.6.5-38
- Fix patch backup files getting installed under /usr/include/ClanLib

* Tue Feb 02 2016 Hans de Goede <hdegoede@redhat.com> - 0.6.5-37
- Fix FTBFS with gcc6

* Mon Feb 01 2016 Tim Niemueller <tim@niemueller.de> - 0.6.5-36
- rebuild for updated tolua++

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.6.5-34
- Rebuilt for GCC 5 C++11 ABI change

* Wed Dec 17 2014 Hans de Goede <hdegoede@redhat.com> - 0.6.5-33
- Rebuilt against new lua-5.2 based tolua++

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 09 2013 Hans de Goede <hdegoede@redhat.com> - 0.6.5-30
- Build with compat-lua-devel-5.1, rather then with lua-5.2, as tolua++
  has not been ported to lua-5.2. Fixes FTBFS (rhbz#991931)

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 14 2013 Tom Callaway <spot@fedoraproject.org> - 0.6.5-28
- rebuild for new lua

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 0.6.5-26
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.6.5-25
- rebuild against new libjpeg

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-23
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 11 2011 Hans de Goede <hdegoede@redhat.com> - 0.6.5-21
- Fix building with new libpng

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6.5-20
- Rebuild for new libpng

* Sun Apr 03 2011 Hans de Goede <hdegoede@redhat.com> - 0.6.5-19
- Fix creating of clanlib data archives (rhbz#688309)

* Tue Feb 08 2011 Hans de Goede <hdegoede@redhat.com> - 0.6.5-18
- Fix building with gcc 4.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 29 2009 Hans de Goede <hdegoede@redhat.com> 0.6.5-16
- ClanLib06 used a hardcoded keycode table (lame), these have changed for some
  keys with us moving over to evdev, breaking the usage of these keys. Fix this
  by switching over to dynamically querying the X-server for keycodes
- Add a number of missing defines for non alpha-numerical keys
- Fix some abuse of iterators
- Remove smpflags, as that results in somehow broken libs (apps using them
  crash on exit ?)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 0.6.5-13
- Fix patch fuzz build failure

* Sun Mar  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-12
- Add support for audio output through alsa (original ClanLib only supports
  OSS??), this also adds support for using pulseaudio through alsa

* Sun Feb 17 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-11
- Rebuild for new libmikmod
- Rebuild with gcc 4.3

* Fri Jan  4 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-10
- Fix building with gcc 4.3

* Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-9
- Explictily disable directfb support, so that it doesn't accidentally get
  build on system which have directfb installed
- Fix multilib conflict in the Reference documentation (bz 340861)

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-8
- Update License tag for new Licensing Guidelines compliance

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-7
- FE6 Rebuild

* Mon Jul 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-6
- Add missing Requires: libpng-devel to the -devel package <sigh>.

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-5
- Add missing BRs: libGLU-devel freetype-devel libXt-devel. To Fix resp
  building of clanGL, clanTTF and X detection on FC-5.

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-4
- Add missing Requires: libGLU-devel Hermes-devel mikmod-devel lua-devel to
  the -devel package.

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-3
- Mark asm files as NOT needing execstack, making us OK with new default
  SELinux targeted policy settings.

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-2
- Add missing BRs: tolua++-devel, Hermes-devel and autoconf

* Wed Jul 19 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-1
- Initial FE version based on the newrpms SRPM by Che.
